liczba = 100
print(liczba)

# zmienić wartość zmiennej możemy na takie sposoby:
# wpisać zupełnie nową wartość:
liczba = 200
print(liczba)

# nową wartość w oparciu o wartość dotychczasową:
liczba = liczba + 5
print(liczba)

# dla takiej operacji, jak w linii 10, istnieje zwięzły zapis:
liczba += 3
print(liczba)

# ważne szczegóły:
# między znakami += nie może być spacji
# odwrotny zapis =+  znaczy coś kompletnie innego
liczba =+ 13
# to oznacza liczba = +13 czyli "do zmiennej licczba wpisz wartość plus trzynaście"
print(liczba)
print("==========")

# rozszerzony operator przypisania jest dostępny także dla innych operacji
x = 100
print(x)
x *= 2
print(x)
x -= 5
print(x)
x /= 5
print(x)
x **= 2
print(x)
print()

# niektóre operatory działają nie tylko dla liczb
napis = "Ala"
print(napis)
napis += " ma "
napis += "kota"
print(napis)

lista = ['Ala']
print(lista)

lista += ['Ola', 'Ela']
print(lista)
